Retrieves the details of a payment order.
curl --request GET \
--url https://checkout.suave.money/api/v1/payment/{id}import requests
url = "https://checkout.suave.money/api/v1/payment/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://checkout.suave.money/api/v1/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_order_id": "<string>",
"payment_order_status": "<string>",
"env_mode": "live",
"success_callback_url": "<string>",
"cancel_callback_url": "<string>",
"failure_callback_url": "<string>",
"line_items": [
{
"title": "<string>",
"quantity": 123,
"description": "<string>",
"image_url": "<string>"
}
],
"order_price": {
"currency": "<string>",
"amount": 123,
"decimals": 123
},
"transaction_hash": "<string>",
"metadata": {}
}Payment API
Get Payment Order
GET
/
api
/
v1
/
payment
/
{id}
Retrieves the details of a payment order.
Path Parameters
Payment order ID
Response
200 - application/json
A JSON object with payment order details
Available options:
test, live Example:
"live"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I